<template>
  <div class="eletocData">
    <eletocTab :menu="eletocMenu" @getTabAlias="TabAlias"></eletocTab>
    <sitepectLog v-if="tabAlias == 'sitepectLog'"></sitepectLog>
    <deviceWarnLog v-if="tabAlias == 'deviceWarnLog'"></deviceWarnLog>
    <orderHandLog v-if="tabAlias == 'orderHandLog'"></orderHandLog>
  </div>
</template>
  
  <script>
import eletocTab from './eletocData/eletocTab.vue'
import orderHandLog from './eletocData/orderHandLog.vue'
import deviceWarnLog from './eletocData/deviceWarnLog.vue'
import sitepectLog from './eletocData/sitepectLog.vue'
export default {
  components: {eletocTab, deviceWarnLog, sitepectLog, orderHandLog},
  data() {
    return {
      eletocMenu: [],
      tabAlias: '',
    }
  },
  mounted() {
    this.getEletocTabMenu()
  },
  methods: {
    getEletocTabMenu() {
      this.$store.dispatch('menu/actionFrontMenus').then((data) => {
        let bigScreen =
          data && data.filter((item) => item.alias === 'bigScreen')

        let workPlat = bigScreen[0].children.filter(
          (item) => item.alias === 'workPlat'
        )
        let normal = workPlat[0].children.filter(
          (item) => item.alias === 'normal'
        )
        let dataManage = normal[0].children.filter(
          (item) => item.alias === 'dataManage'
        )
        let eletocData = dataManage[0].children.filter(
          (item) => item.alias === 'eletocData'
        )

        if (eletocData[0].children.length !== 0) {
          for (let i = 0; i < eletocData[0].children.length; i++) {
            this.tabAlias = eletocData[0].children[0].alias
            console.log(this.tabAlias)
            this.eletocMenu.push(eletocData[0].children[i])
          }
        }
      })
    },
    TabAlias(tabAlias) {
      this.tabAlias = tabAlias
    },
  },
}
</script>
  
  <style>
  .eletocData{
  
  }
  </style>